OpenX 'fc.php' 本地文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117287 漏洞类型 路径遍历
发布时间 2009-01-26 更新时间 2009-04-02
CVE编号 CVE-2009-0291 CNNVD-ID CNNVD-200901-370
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/32759
https://www.securityfocus.com/bid/33468
https://cxsecurity.com/issue/WLB-2009010240
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-370
|漏洞详情
OpenX2.6.3版本中的fc.php存在目录遍历漏洞。远程攻击者可以借助MAX_type参数中的"..",包含和运行任意文件。
|漏洞EXP
source: http://www.securityfocus.com/bid/33458/info

OpenX is prone to a local file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this vulnerability to view files and execute local scripts in the context of the webserver process. This may aid in further attacks.

OpenX 2.6.3 is affected; other versions may also be vulnerable.

http://www.example.com/www/delivery/fc.php?MAX_type= ../../../../../../../../../../../../../../../etc/passwd%00
|受影响的产品
OpenX OpenX 2.6.4 OpenX OpenX 2.6.2 OpenX OpenX 2.6.1 OpenX OpenX 2.4.10 OpenX OpenX 2.4.9 OpenX OpenX 2.4.8 OpenX OpenX 2.7.29-beta Ope
|参考资料

来源:BID
名称:33458
链接:http://www.securityfocus.com/bid/33458
来源:BUGTRAQ
名称:20090127OpenX2.6.3-LocalFileInclusion
链接:http://www.securityfocus.com/archive/1/archive/1/500411/100/0/threaded
来源:MILW0RM
名称:7883
链接:http://www.milw0rm.com/exploits/7883